Package ghidra.app.util.opinion

# Record Class DyldCacheOptions

java.lang.Object
java.lang.Record
ghidra.app.util.opinion.DyldCacheOptions

Record Components:
  `fixupSlidePointers` - True if slide pointers should be fixed up; otherwise, false
  `markupSlidePointers` - True if slide pointers should be marked up; otherwise, false
  `addSlidePointerRelocations` - True if slide pointers should be added to the relocation table; otherwise false
  `processLocalSymbols` - True if local symbols should be processes; otherwise, false
  `markupLocalSymbols` - True if local symbols should be marked up; otherwise, false
  `processDylibMemory` - True if individual dylib memory should be processed; otherwise, false
  `processDylibSymbols` - True if individual dylib symbols should be processed; otherwise, false
  `processDylibExports` - True if individual dylib exports should be processed; otherwise, false
  `markupDylibLoadCommandData` - True if individual dylib load command data blocks should be marked up; otherwise, false
  `processLibobjc` - True if special libobjc should occur; otherwise, false

public record DyldCacheOptions(boolean fixupSlidePointers, boolean markupSlidePointers, boolean addSlidePointerRelocations, boolean processLocalSymbols, boolean markupLocalSymbols, boolean processDylibMemory, boolean processDylibSymbols, boolean processDylibExports, boolean markupDylibLoadCommandData, boolean processLibobjc) extends Record
Options from the `DyldCacheLoader`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DyldCacheOptions(boolean fixupSlidePointers, boolean markupSlidePointers, boolean addSlidePointerRelocations, boolean processLocalSymbols, boolean markupLocalSymbols, boolean processDylibMemory, boolean processDylibSymbols, boolean processDylibExports, boolean markupDylibLoadCommandData, boolean processLibobjc)`
  Creates an instance of a `DyldCacheOptions` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addSlidePointerRelocations()`
  Returns the value of the `addSlidePointerRelocations` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `boolean`
  `fixupSlidePointers()`
  Returns the value of the `fixupSlidePointers` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `markupDylibLoadCommandData()`
  Returns the value of the `markupDylibLoadCommandData` record component.
  `boolean`
  `markupLocalSymbols()`
  Returns the value of the `markupLocalSymbols` record component.
  `boolean`
  `markupSlidePointers()`
  Returns the value of the `markupSlidePointers` record component.
  `boolean`
  `processDylibExports()`
  Returns the value of the `processDylibExports` record component.
  `boolean`
  `processDylibMemory()`
  Returns the value of the `processDylibMemory` record component.
  `boolean`
  `processDylibSymbols()`
  Returns the value of the `processDylibSymbols` record component.
  `boolean`
  `processLibobjc()`
  Returns the value of the `processLibobjc` record component.
  `boolean`
  `processLocalSymbols()`
  Returns the value of the `processLocalSymbols` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DyldCacheOptions

    public DyldCacheOptions(boolean fixupSlidePointers, boolean markupSlidePointers, boolean addSlidePointerRelocations, boolean processLocalSymbols, boolean markupLocalSymbols, boolean processDylibMemory, boolean processDylibSymbols, boolean processDylibExports, boolean markupDylibLoadCommandData, boolean processLibobjc)
    Creates an instance of a `DyldCacheOptions` record class.
    Parameters:
      `fixupSlidePointers` - the value for the `fixupSlidePointers` record component
      `markupSlidePointers` - the value for the `markupSlidePointers` record component
      `addSlidePointerRelocations` - the value for the `addSlidePointerRelocations` record component
      `processLocalSymbols` - the value for the `processLocalSymbols` record component
      `markupLocalSymbols` - the value for the `markupLocalSymbols` record component
      `processDylibMemory` - the value for the `processDylibMemory` record component
      `processDylibSymbols` - the value for the `processDylibSymbols` record component
      `processDylibExports` - the value for the `processDylibExports` record component
      `markupDylibLoadCommandData` - the value for the `markupDylibLoadCommandData` record component
      `processLibobjc` - the value for the `processLibobjc` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fixupSlidePointers

    public boolean fixupSlidePointers()
    Returns the value of the `fixupSlidePointers` record component.
    Returns:
      the value of the `fixupSlidePointers` record component

  - ### markupSlidePointers

    public boolean markupSlidePointers()
    Returns the value of the `markupSlidePointers` record component.
    Returns:
      the value of the `markupSlidePointers` record component

  - ### addSlidePointerRelocations

    public boolean addSlidePointerRelocations()
    Returns the value of the `addSlidePointerRelocations` record component.
    Returns:
      the value of the `addSlidePointerRelocations` record component

  - ### processLocalSymbols

    public boolean processLocalSymbols()
    Returns the value of the `processLocalSymbols` record component.
    Returns:
      the value of the `processLocalSymbols` record component

  - ### markupLocalSymbols

    public boolean markupLocalSymbols()
    Returns the value of the `markupLocalSymbols` record component.
    Returns:
      the value of the `markupLocalSymbols` record component

  - ### processDylibMemory

    public boolean processDylibMemory()
    Returns the value of the `processDylibMemory` record component.
    Returns:
      the value of the `processDylibMemory` record component

  - ### processDylibSymbols

    public boolean processDylibSymbols()
    Returns the value of the `processDylibSymbols` record component.
    Returns:
      the value of the `processDylibSymbols` record component

  - ### processDylibExports

    public boolean processDylibExports()
    Returns the value of the `processDylibExports` record component.
    Returns:
      the value of the `processDylibExports` record component

  - ### markupDylibLoadCommandData

    public boolean markupDylibLoadCommandData()
    Returns the value of the `markupDylibLoadCommandData` record component.
    Returns:
      the value of the `markupDylibLoadCommandData` record component

  - ### processLibobjc

    public boolean processLibobjc()
    Returns the value of the `processLibobjc` record component.
    Returns:
      the value of the `processLibobjc` record component